Description: Suppress the shutdown option in the panel if LTSP_CLIENT is set
Bug: https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/282669

Index: gnome-panel-3.0.0.1/gnome-panel/panel-menu-items.c
===================================================================
--- gnome-panel-3.0.0.1.orig/gnome-panel/panel-menu-items.c	2011-05-06 09:41:22.164792777 -0400
+++ gnome-panel-3.0.0.1/gnome-panel/panel-menu-items.c	2011-05-06 09:42:06.065863607 -0400
@@ -1854,7 +1854,7 @@
 	if (panel_session_manager_is_shutdown_available (panel_session_manager_get ())) {
 		item = panel_menu_items_create_action_item_full (PANEL_ACTION_SHUTDOWN,
 								 NULL, NULL, TRUE);
-		if (item != NULL) {
+		if (item != NULL && !g_getenv("LTSP_CLIENT")) {
 			GtkWidget *sep;
 
 			sep = add_menu_separator (menu);
